#!/bin/bash

bus_nr=$1
dev_nr=$2

ptpstdarg="--bus=$bus_nr --dev=$dev_nr"
tmpdir="/home/gchoinka/Dokumente/robo-chdk/scripts/tmp"

ptpcam=$HOME/Dokumente/robo-chdk/chdk-de/tools/ptpcam/ptpcam

#put cam in mode 1 if it is in mode 0
$ptpcam $ptpstdarg --chdk="luar get_mode()" | grep -q -E "\d*:ret:false" && $ptpcam $ptpstdarg --chdk='mode 1'
#$ptpcam $ptpstdarg --chdk="luar set_aflock(1)"


lastimghandle=$($ptpcam $ptpstdarg -L | tail -2 | head -n 1 | grep -P "0x[^:]*:\s*\d*\s*[-\d]* \d\d:\d\d\s*IMG_\d\d\d\d.JPG" | awk '{print $1}')

#shoot the image
$ptpcam $ptpstdarg --chdk="lua shoot()"

#determin the last image handle
if [ "$lastimghandle" != "" ]
then
  cd "$tmpdir"
  $ptpcam $ptpstdarg --get-file=$lastimghandle
  $ptpcam $ptpstdarg --delete-object=$lastimghandle
  cd - 2>/dev/null
else
  echo NO IMAGE
fi



# while [ ! $($ptpcam --get-file=$lastimghandle 2>&1 | grep -q "mmap: Invalid argument"; echo $?)  ]
# do
#   echo mmap
# done

# set_zoom() get_zoom() 
# set_aflock()
#
